#!/bin/bash
#
# get pld rc-scripts from svn, always get stable tags
#
# author: Bartosz Świątek shadzik@tld-linux.org

if [ $# -lt 1 ]; then
	echo "Usage: $0 version"
	echo
	echo "Example: $0 0.4.5.1"
	exit 1
fi

VERSION=$1

echo "Getting rc-scripts-$VERSION"
svn co http://svn.pld-linux.org/svn/rc-scripts/tags/$VERSION rc-scripts-$VERSION >/dev/null || exit 1

echo "Adjusting for TLD"
cd rc-scripts-$VERSION
find . -type f |xargs sed -i 's/PLD/TLD/g'

echo "Archiving..."
cd ..
tar czf rc-scripts-$VERSION.tar.gz rc-scripts-$VERSION

echo "Cleaning up..."
rm -rf rc-scripts-$VERSION

md5sum rc-scripts-$VERSION.tar.gz
